Simply.com API documentation

This document describes the Simply.com RESTful JSON API.

API endpoint

You can find the HTTP endpoint at https://api.simply.com/2/ - prefix your requests with this.

Example: https://api.simply.com/2/my/products/

Authentication

Authentication is done with HTTP Basic Authentication.

Username is Simply.com Account Number (Sxxxxxx).

Password is the API key for the specific account.

Both the account number and API key assigned to your Simply.com account can be found in your Simply.com control panel.

OpenApi Spec / Documentation

You can find the OpenAPI specification for the API here: https://api.simply.com/2/openapi.json .

Consider using the Swagger UI browser here: https://generator.swagger.io/ .

Rate limits

API is subject to rate limits, solely to prevent misuse.

You can see the limit and usage in X-RateLimit-Limit and X-RateLimit-Remaining headers.

Library implementations

The following libraries are available for use.

ACME implementations

acme.sh https://github.com/acmesh-official/acme.sh/
Posh-ACME https://github.com/rmbolger/Posh-ACME/
cert-manager service https://github.com/RunnerM/simply-dns-webhook/
Certbot plugin https://github.com/JohNan/certbot-dns-simply/
Webhook provider for ExternalDNS https://github.com/uozalp/external-dns-simply-webhook

API implementations

PHP https://github.com/simplycom/api-php/

Examples

Dynamic DNS helper

The endpoints /ddns/ and /dyndns/ easily helps you set up DDNS on a domain.

/dyndns/ strictly emulates the DynDns protocol, while /ddns/ attempting to provide more descriptive answers and accepting more arguments.

Curl example (Recommended)

Use the following Curl command to set home.example.com to the external IP of the requesting client:

curl -s -u "ACCOUNTNAME:APIKEY" "https://api.simply.com/2/ddns/?domain=example.com&hostname=home.example.com"

You can set this command to run in a crontab, on a local machine, every 15 minutes or so.

Synology

On Synology, you can use the following syntax as a Custom DDNS Provider

https://api.simply.com/2/dyndns/?hostname=__HOSTNAME__&myip=__MYIP__

hostname should then be specified as the fully qualified domain name you wish to update, e.g. home.example.com.

Home Assistant

# In configuration.yaml file
rest_command:
  simplycom_ddns:
    username: "ACCOUNTNAME"
    password: "APIKEY"
url: "https://api.simply.com/2/ddns/?domain=example.com&hostname=home.example.com"
# Automation
alias: Simply.com DDNS
trigger:
- platform: time_pattern
  minutes: "0"
  seconds: "0"
action:
- service: rest_command.simplycom_ddns

Unifi

In UniFi OS, you need to set up a Custom Dynamic DNS provider and enter the following string in the "Server" field.

api.simply.com/2/dyndns/?hostname=%h&myip=%i